Bug Hunting Session
Bug 94425 - UI: Triggers to Automatically Open Sidebar
Summary: UI: Triggers to Automatically Open Sidebar
Status: RESOLVED NOTABUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2015-09-21 21:30 UTC by Luke
Modified: 2018-01-16 10:26 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2015-09-21 21:30:38 UTC
With recent updates the sidebar has become incredibly useful and powerful. Unfortunately, most users will never discover this functionality. In other applications that utilize sidebars, when the user clicks on a property that the sidebar can manage, it triggers the sidebar to open. We don’t do this. 

If I wasn’t involved in the QA, I’d never realize that we now have chart properties built into the sidebar. When a user edits a chart, the sidebar can remain closed, but as soon as they click on one of the properties that the sidebar can edit, it should pop open. For example the chart title or axis labels should trigger this event. 

If people complain, we could always add a new option to always keep the sidebar closed, but this should be disabled by default. Once users realize that what they would normally be digging through menus to find is right there by on the side, I doubt they’ll want to disable the sidebar. And there’s always the “x” temporarily close for more screen real estate.
Comment 1 Luke 2015-09-22 01:59:41 UTC
> but as soon as they click on one of the properties that the sidebar can edit

Should read, as soon as they *double click* on one of the properties that is well handled by the sidebar. 


Currently double clicking opens a window that gets in the way. Instead, I'd rather see the sidebar opened.
Comment 2 Yousuf Philips (jay) (retired) 2015-09-22 06:36:11 UTC
Hi Luke,

As use of the sidebar is a choice for a user, we shouldnt open it unless the user requests for it to be opened. If the user chooses to use the sidebar, then it will be open when they go in chart edit mode and they will see the features it offers. The sidebar wont have all the features available in the dialog, so users will still be opening the dialog to access such features.
Comment 3 Luke 2015-09-22 13:15:22 UTC
> As use of the sidebar is a choice for a user, we shouldn't open it unless the user requests for it to be opened.

For Those users that don't want this, we could make it optional as I described above.

> If the user chooses to use the sidebar, then it will be open when they go in chart edit mode and they will see the features it offers. 

I choose the sidebar, but close it to free up space. I don't want the dialog boxes blocking my content when I double click. I want the sidebar when it supports those features. Without doing this, you're forcing the old dialog box system on users that want the sidebar. If I need some rarely used item, the dialogs will still be accessible through the the menu and toolbars. 

Both WPS Office and MS Office have switched from a double click opening a dialog window to now displaying the options on the side. With the prevalence of widescreen monitors, it's a superior interface design.
Comment 4 Yousuf Philips (jay) (retired) 2015-09-22 15:35:42 UTC
(In reply to Luke from comment #3)
> I choose the sidebar, but close it to free up space. I don't want the dialog
> boxes blocking my content when I double click. I want the sidebar when it
> supports those features. Without doing this, you're forcing the old dialog
> box system on users that want the sidebar. If I need some rarely used item,
> the dialogs will still be accessible through the the menu and toolbars. 

I would assume sidebar users would always have the sidebar open and if they close/hide the sidebar to momentarily free space, they would open/unhide the sidebar soon after. If you think that sidebar users would like to have the option to change the behaviour of double click to always open the sidebar, then it may be a useful feature for add and users can turn that on in Tools > Options or through the sidebar settings context menu.

> Both WPS Office and MS Office have switched from a double click opening a
> dialog window to now displaying the options on the side. With the prevalence
> of widescreen monitors, it's a superior interface design.

They are doing this for a limited set of things where they can fit everything that was in a dialog into the sidebar. LO's sidebar wont likely have this.
Comment 5 Luke 2015-09-24 23:58:36 UTC
> I would assume sidebar users would always have the sidebar open and if they
> close/hide the sidebar to momentarily free space
Not in my case. Since other apps that use sidebars will automatically pop them up when they are relevant, I keep them closed mostly so I can focus on the content.

> They are doing this for a limited set of things where they can fit
> everything that was in a dialog into the sidebar. 
Mostly, but MSO 2013 still has many rarely used dialog options that are not available on the sidebar. For example advanced paragraph and style sheet options can only be set in dialogs. 


> If you think that sidebar users would like to have the option to change the 
> behaviour of double click
Yes, I do. The default could be off until more dialogs are put into the sidebar.

Ease of discoverability is at the heart of all good UX designs, which is why I think this is an important feature.
Comment 6 Yousuf Philips (jay) (retired) 2015-09-25 11:21:33 UTC
(In reply to Luke from comment #5)
> > I would assume sidebar users would always have the sidebar open and if they
> > close/hide the sidebar to momentarily free space
> Not in my case. Since other apps that use sidebars will automatically pop
> them up when they are relevant, I keep them closed mostly so I can focus on
> the content.

What you described isnt what i would classify as a typical sidebar users and what MSO utilizes as a sidebar is different to what LO has as a sidebar. LO's sidebar is comparable to the sidebar found in iWork and Calligra.

> > If you think that sidebar users would like to have the option to change the 
> > behaviour of double click
> Yes, I do. The default could be off until more dialogs are put into the
> sidebar.

Dont think this default should ever change and doubt many additional dialogs will be added to the sidebar that would likely change this situation. There will always be users who dont want to use the sidebar, so we shouldnt force the sidebar to pop open unless they have specifically asked this to happen.
Comment 7 Robinson Tryon (qubit) 2016-08-25 05:38:51 UTC Comment hidden (obsolete)
Comment 8 Yousuf Philips (jay) (retired) 2016-10-23 21:02:20 UTC
With the easy ability to enable sidebar mode (bug 101249) for users who want to use libreoffice in this manner, i think this enhancement should be closed.
Comment 9 Heiko Tietze 2018-01-16 10:26:11 UTC
Not much interest in this topic, unfortunately. I agree with Jay that we must not force the user into a specific workflow. Read several comments voting for a UI as clean as possible. Additionally, the sidebar shows up for styles so users should be aware of this feature. And last but not least it's unclear to me how such a mechanism would get implemented. For example in what situation should the page deck be opened. Putting all together I close this ticket as NAB.